import os, sys, site

apache_conf = os.path.dirname(__file__)
project = os.path.dirname(apache_conf)

site_packages = os.path.join(project, '../')

prev_sys_path = list(sys.path)

site.addsitedir(site_packages)
sys.path.append(project)

sys.real_prefix = sys.prefix
sys.prefix = project

# Move the added items to the front of the path:
new_sys_path = []
for item in list(sys.path):
    if item not in prev_sys_path:
        new_sys_path.append(item)
        sys.path.remove(item)
sys.path[:0] = new_sys_path


os.environ['DJANGO_SETTINGS_MODULE'] = 'settings'

import django.core.handlers.wsgi

application = django.core.handlers.wsgi.WSGIHandler()
